<?php
/*
 * Plugin name: True Lazy Analytics
 * Description: Lazy loading plugin for Google Analytics, Facebook Pixel, Hotjar, Yandex Metrica, Liveinternet
 * Version: 2.2.0
 * Author: seojacky 
 * Author URI: https://t.me/big_jacky
 * Plugin URI: https://wordpress.org/plugins/true-lazy-analytics/
 * GitHub Plugin URI: https://github.com/seojacky/true-lazy-analytics
 * Text Domain: true-lazy-analytics
 * Domain Path: /languages
*/

/* Exit if accessed directly */
if ( ! defined( 'ABSPATH' ) ) {	return;}

define('TLAP_VERSION', '2.2.0');
define('TLAP_FILE', __FILE__); // url of the file directory
define('TLAP_DIR', __DIR__); // url plugins folder /var/www/...
define('TLAP_FOLDER', trailingslashit( plugin_dir_url(__FILE__) ) ); // url plugins folder http://.../wp-content/plugins/true-lazy-analytics
define('TLAP_SLUG', 'true-lazy-analytics'); 

/* Plugin settings links basename(dirname(TLAP_FILE))) */
add_filter('plugin_action_links_'.plugin_basename(TLAP_FILE), function ( $links ) {
	$links[] = '<a href="' .		
		admin_url( 'admin.php?page='. TLAP_SLUG ) .
		'">' . __('Settings') . '</a>';
	$links[] = '<a href="https://t.me/big_jacky">' . __('Author') . '</a>';
	return $links;
});

/* Plugin extra links */
add_filter('plugin_row_meta', function ($links, $file)
    {
        // if not current plugin, return default links
        if (plugin_basename(TLAP_FILE) !== $file)
        {
            return $links;
        }

        $meta_links = array(
		'<a href="https://wordpress.org/plugins/true-lazy-analytics/#%0Awhat%20does%20the%20plugin%20do%3F%0A" target="_blank">' . __('FAQ', 'true-lazy-analytics') . '</a>',
		__( 'Rate us:', 'true-lazy-analytics' ) . " <span class='rating-stars'><a href='//wordpress.org/support/plugin/true-lazy-analytics/reviews/?rate=1#new-post' target='_blank' data-rating='1' title='" . __('Poor', 'true-lazy-analytics') . "'><span class='dashicons dashicons-star-filled' style='color:#ffb900 !important;'></span></a><a href='//wordpress.org/support/plugin/true-lazy-analytics/reviews/?rate=2#new-post' target='_blank' data-rating='2' title='" . __('Works', 'true-lazy-analytics') . "'><span class='dashicons dashicons-star-filled' style='color:#ffb900 !important;'></span></a><a href='//wordpress.org/support/plugin/true-lazy-analytics/reviews/?rate=3#new-post' target='_blank' data-rating='3' title='" . __('Good', 'true-lazy-analytics') . "'><span class='dashicons dashicons-star-filled' style='color:#ffb900 !important;'></span></a><a href='//wordpress.org/support/plugin/true-lazy-analytics/reviews/?rate=4#new-post' target='_blank' data-rating='4' title='" . __('Great', 'true-lazy-analytics') . "'><span class='dashicons dashicons-star-filled' style='color:#ffb900 !important;'></span></a><a href='//wordpress.org/support/plugin/true-lazy-analytics/reviews/?rate=5#new-post' target='_blank' data-rating='5' title='" . __('Fantastic!', 'true-lazy-analytics') . "'><span class='dashicons dashicons-star-filled' style='color:#ffb900 !important;'></span></a><span>",
        );

        return array_merge($links, $meta_links);
    }, 10, 2);
/*
****************************************************************
	Plugin settings page
****************************************************************
*/
add_action('admin_menu', 'tlap_creat_admin_page', 8, 0);

function tlap_creat_admin_page(){	
	global $admin_page_hooks;	
	if (isset($admin_page_hooks['wp-booster'])  ) {
		return;
	}
	
add_menu_page(
        esc_html__('WP Booster', 'true-lazy-analytics'),
        esc_html_x('WP Booster', 'Menu item', 'true-lazy-analytics'),
		'manage_options',
		'wp-booster',
		'tlap_options_page_output',
		'dashicons-backup',
		92.3 
            );
}	

add_action('admin_head', function(){
  	echo '<style>
    .toplevel_page_wp-booster li.wp-first-item {
    display: none;}
  </style>';
});

	add_action('admin_menu', function(){
	$submenu = add_submenu_page(
	'wp-booster',
	'True Lazy Analytics',
	esc_html__('💹 True Lazy Analytics', 'true-lazy-analytics'),
	'manage_options',
	'true-lazy-analytics',
	'tlap_options_page_output'
	);
		//Admin print js&css
		add_action( 'admin_print_scripts-' . $submenu, 'tlap_admin_custom_js' );
		add_action( 'admin_print_styles-' . $submenu, 'tlap_admin_custom_css' );
}, 99 );

/* enqueue plugin Admin css & js */
function tlap_admin_custom_js (){
	wp_enqueue_script( TLAP_SLUG .'-js', TLAP_FOLDER .'/admin-script.js', array(), false, true );
}
function tlap_admin_custom_css (){
	wp_enqueue_style( TLAP_SLUG .'-css', TLAP_FOLDER .'/admin-style.css', false );
}
/* Redirect after activation on Setting Page */
add_action( 'activated_plugin', function ( $plugin ) {
    if( $plugin == plugin_basename( TLAP_FILE ) ) {
        exit( wp_redirect( admin_url( 'admin.php?page=true-lazy-analytics' ) ) );
    }
} );

function tlap_options_page_output(){	
	?>
<style>
.tlap-field-premium-icon::after {
	display: inline-block;
	position: relative;
	content: 'PRO';
	background: #ff5722;
	border-radius: 4px;
	color: #fff;
	font-size: 10px;
	line-height: 1;
	font-style: normal;
	padding: 4px 6px;
	margin-left: 4px;
	vertical-align: top;
	top: -10px;
	left: -20px;
	z-index: 11;
}
.tlap-field-soon-icon::after {
    display: inline-block;
    position: relative;
    content: "<?php echo __('SOON', 'true-lazy-analytics'); ?>";
    background: #00bb06;
    border-radius: 4px;
    color: #fff;
    font-size: 10px;
    line-height: 1;
    font-style: normal;
    padding: 4px 6px;
    margin-left: 4px;
    vertical-align: top;
    top: -10px;
    left: -20px;
    z-index: 11;
}
</style>
<script>
function notAvailableMsg(node) {
    return confirm("<?php echo __('This will be available in future versions.', 'true-lazy-analytics'); ?>");
}
</script>
<div class="wrap">    
      <h1  style="display:inline;">True Lazy Analytics</h1> <span>v<?php echo TLAP_VERSION; ?></span> 
   		<!--<h2><?php echo get_admin_page_title() ?></h2>-->
		<h2 class="nav-tab-wrapper">		
<label class="nav-tab nav-tab-active" id="one-tab" for="one"><span class="dashicons dashicons-admin-generic"></span><?php echo __('Main Settings', 'true-lazy-analytics'); ?></label>
<label class="nav-tab" id="two-tab" for="two"><span class="dashicons dashicons-chart-pie"></span><?php echo __('Counters', 'true-lazy-analytics'); ?></label>
<label class="nav-tab" id="three-tab" for="three"><span class="dashicons dashicons-chart-bar"></span><?php echo __('Yandex Metrica', 'true-lazy-analytics'); ?></label>
   <!-- https://codepen.io/Wendy-Ho/pen/MWWBvmd -->
		</h2>
  	<div id="poststuff">
		<div id="post-body" class="metabox-holder columns-2">
			<!-- main content -->
			<div id="post-body-content">
				<div class="meta-box-sortables ui-sortable">

					<div class="postbox">						

						<div class="inside">					
							
<div class="tabs-wrapper">
	<input class="radio" id="one" name="group" type="radio" checked>
	<input class="radio" id="two" name="group" type="radio">
	<input class="radio" id="three" name="group" type="radio">

   <div class="panels">
      <form action="options.php" method="POST">
	<div class="panel" id="one-panel">
            <?php
               settings_fields( 'tlap-main-settings-group' );   
               do_settings_sections( 'tlap_page' );
               ?>
         </div>
         <div class="panel" id="two-panel">
            <?php
               settings_fields( 'tlap-counters-settings-group' );   
               do_settings_sections( 'tlap_page_2' );
               ?>
         </div>
		 <div class="panel" id="three-panel">
            <?php
               settings_fields( 'tlap-metrika-settings-group' );   
               do_settings_sections( 'tlap_page_3' );
               ?>
         </div>
         <?php submit_button(); ?>
      </form>
   </div>
</div><!-- .tabs-wrapper -->
 

							</div>
						<!-- .inside -->
					</div>
					<!-- .postbox -->
				</div>
				<!-- .meta-box-sortables .ui-sortable -->
			</div>
			<!-- post-body-content -->
			<!-- sidebar -->
			<div id="postbox-container-1" class="postbox-container">
				<div class="meta-box-sortables">
					<div class="postbox">
					<h4><?php _e( 'About plugin', 'true-lazy-analytics' ); ?></h4>
						<div class="inside">
			<a href="https://wordpress.org/plugins/true-lazy-analytics/#faq" target="_blank"><?php _e( 'FAQ', 'true-lazy-analytics' ); ?></a>
			<br />
			<a href="https://wordpress.org/support/plugin/true-lazy-analytics/" target="_blank"><?php _e( 'Community Support', 'true-lazy-analytics' ); ?></a>
			<br />
			<a href="https://wordpress.org/support/plugin/true-lazy-analytics/reviews/#new-post" target="_blank"><?php _e( 'Review this plugin', 'true-lazy-analytics' ); ?></a>
			<br />
			<?php echo " <span class='rating-stars'><a href='//wordpress.org/support/plugin/true-lazy-analytics/reviews/?rate=1#new-post' target='_blank' data-rating='1' title='" . __('Poor', 'true-lazy-analytics') . "'><span class='dashicons dashicons-star-filled' style='color:#ffb900 !important;'></span></a><a href='//wordpress.org/support/plugin/true-lazy-analytics/reviews/?rate=2#new-post' target='_blank' data-rating='2' title='" . __('Works', 'true-lazy-analytics') . "'><span class='dashicons dashicons-star-filled' style='color:#ffb900 !important;'></span></a><a href='//wordpress.org/support/plugin/true-lazy-analytics/reviews/?rate=3#new-post' target='_blank' data-rating='3' title='" . __('Good', 'true-lazy-analytics') . "'><span class='dashicons dashicons-star-filled' style='color:#ffb900 !important;'></span></a><a href='//wordpress.org/support/plugin/true-lazy-analytics/reviews/?rate=4#new-post' target='_blank' data-rating='4' title='" . __('Great', 'true-lazy-analytics') . "'><span class='dashicons dashicons-star-filled' style='color:#ffb900 !important;'></span></a><a href='//wordpress.org/support/plugin/true-lazy-analytics/reviews/?rate=5#new-post' target='_blank' data-rating='5' title='" . __('Fantastic!', 'true-lazy-analytics') . "'><span class='dashicons dashicons-star-filled' style='color:#ffb900 !important;'></span></a><span>"; ?>		
					
			
				</div>
						<!-- .inside -->

					</div>
					<!-- .postbox -->

				</div>
				<!-- .meta-box-sortables -->

			</div>
			<!-- #postbox-container-1 .postbox-container -->

		</div>
		<!-- #post-body .metabox-holder .columns-2 -->

		<br class="clear">
	</div>
	<!-- #poststuff -->
	</div> <!-- .wrap -->
	<script>

 </script>
	<?php
}


add_action('admin_init', 'tlap_plugin_settings');
function tlap_plugin_settings(){	
	register_setting( 'tlap-main-settings-group', 'tlap_add_analytics_option', 'tlap_sanitize_callback' );
	
	add_settings_section('section_id_1', esc_html__('Main Settings', 'true-lazy-analytics'), '', 'tlap_page');
	add_settings_field('exclude_pages', esc_html__('Excluded pages', 'true-lazy-analytics'), 'tlap_fill_exclude_pages', 'tlap_page', 'section_id_1' );
	
	register_setting( 'tlap-counters-settings-group', 'tlap_add_analytics_option', 'tlap_sanitize_callback' );
	
	add_settings_section('section_id_2', esc_html__('Counters', 'true-lazy-analytics'), '', 'tlap_page_2');	
	add_settings_field('analytics_id', esc_html__('Google Analytics', 'true-lazy-analytics'), 'tlap_fill_analytics_id', 'tlap_page_2', 'section_id_2');
	add_settings_field('fbpixel_id', esc_html__('Facebook Pixel', 'true-lazy-analytics'), 'tlap_fill_fbpixel_id', 'tlap_page_2', 'section_id_2');
	add_settings_field('hotjar_id', esc_html__('Hotjar'), 'tlap_fill_hotjar_id', 'tlap_page_2', 'section_id_2');
	add_settings_field('liru_en', esc_html__('Liveinternet', 'true-lazy-analytics'), 'tlap_fill_liru_enable', 'tlap_page_2', 'section_id_2' );
	
	register_setting( 'tlap-metrika-settings-group', 'tlap_add_analytics_option', 'tlap_sanitize_callback' );
	
	add_settings_section('section_id_3', esc_html__('Yandex Metrica', 'true-lazy-analytics'), '', 'tlap_page_3');
	add_settings_field('yametrika_id', esc_html__('ID Yandex Metrica', 'true-lazy-analytics'), 'tlap_fill_yametrika_id', 'tlap_page_3', 'section_id_3');
	add_settings_field('yametrika_webvisor', esc_html__('Yandex Metrica WebVisor', 'true-lazy-analytics'), 'tlap_fill_yametrika_webvisor', 'tlap_page_3', 'section_id_3');	
}

## fill option exclude page
function tlap_fill_exclude_pages(){

	?>
	<span class="tlap-field-soon-icon" onclick="return notAvailableMsg(this);"><input size="80" type="text" name="tlap_add_analytics_option[tlap_excludepage]" value="<?php echo esc_attr( $val ) ?>" placeholder="<?php echo __('Еnter the Page IDs (separated by commas), for example: 345,1145,3778', 'true-lazy-analytics'); ?>" disabled="disabled" />&#9;</span>
		<div><?php echo __('Excluded pages - pages on which the code of analytics systems will not be displayed. For example, on pages with the <code>&lt;meta name=&quot;robots&quot; content=&quot;noindex&quot; /&gt;</code> tag', 'true-lazy-analytics'); ?></div>
	
	<?php
}

# fill option analytics id
function tlap_fill_analytics_id(){
	$val = get_option('tlap_add_analytics_option');
	$val = $val ? $val['tlap_analytics_id'] : null;
	?>	
	<input size="20" type="text" name="tlap_add_analytics_option[tlap_analytics_id]" value="<?php echo esc_attr( $val ) ?>" placeholder="<?php echo __('UA-XXX or G-XXX', 'true-lazy-analytics'); ?>" /> <?php echo __('Google Analytics counter ID from analytics.google.com', 'true-lazy-analytics'); ?>
	<div><?php echo __('<a href="https://i.imgur.com/4yVgsV2.png" target="_blank">Where do I get Google Analytics ID?</a>', 'true-lazy-analytics'); ?></div>
	<?php
}

# fill option Facebook Pixel
function tlap_fill_fbpixel_id(){
	$val = get_option('tlap_add_analytics_option');
	$val = $val ? $val['tlap_fbpixel_id'] : null;
	?>	
<input size="20" type="text" name="tlap_add_analytics_option[tlap_fbpixel_id]" value="<?php echo esc_attr( $val ) ?>" placeholder="111111111111" />
	<?php
}

# fill option Hotjar
function tlap_fill_hotjar_id(){
	$val = get_option('tlap_add_analytics_option');
	$val = $val ? $val['tlap_hotjar_id'] : null;
	?>	
<input size="20" type="text" name="tlap_add_analytics_option[tlap_hotjar_id]" value="<?php echo esc_attr( $val ) ?>" placeholder="1234567"  />
	<?php
}

# fill option liru enable
function tlap_fill_liru_enable(){
	$val = get_option('tlap_add_analytics_option');
	$val = $val ? $val['checkbox_liru'] : null;
	?>
	<label><input type="checkbox" name="tlap_add_analytics_option[checkbox_liru]" value="1" <?php checked( 1, $val ) ?> /> <?php echo __('Enable Liveinternet counter', 'true-lazy-analytics'); ?> </label>
	<div><?php echo __('Attention! The counter will be added to the page automatically, but will be hidden using the "display:none" property. It will not affect its performance.', 'true-lazy-analytics'); ?></div>
	<div><?php echo __('Your site must be registered with the service www.liveinternet.ru.', 'true-lazy-analytics'); ?>
	<?php $link = preg_replace('#^https?://#', '', get_home_url( null, '', '' )); echo sprintf( __( 'Check your stats <a target="_blank" href="https://www.liveinternet.ru/stat/%1$s">https://www.liveinternet.ru/stat/%1$s/</a>.', 'true-lazy-analytics' ), $link ); ?></div>
	<?php
}

# fill option yametrika id
function tlap_fill_yametrika_id(){
	$val = get_option('tlap_add_analytics_option');
	$val = $val ? $val['tlap_yametrika_id'] : null;
	?>	
	<input size="20" type="text" name="tlap_add_analytics_option[tlap_yametrika_id]" value="<?php echo esc_attr( $val ) ?>" placeholder="12345678" /> <?php echo __('Yandex Metrica counter ID from metrika.yandex.ru', 'true-lazy-analytics'); ?>
	<div></div>
	<div><?php echo __('<a href="https://i.imgur.com/ltomthu.jpg" target="_blank">Where do I get Yandex Metrica ID?</a>', 'true-lazy-analytics'); ?></div>
<div><?php echo __('Attention! By default, the code is added via cdn (to account for traffic from countries where Yandex services are blocked)', 'true-lazy-analytics'); ?></div>
	<?php
}

# fill option yametrika webvisor
function tlap_fill_yametrika_webvisor(){
	$val = get_option('tlap_add_analytics_option');
	$val = $val ? $val['tlap_yametrika_webvisor'] : null;
	?>	
	<label><input type="checkbox" name="tlap_add_analytics_option[tlap_yametrika_webvisor]" value="1" <?php checked( 1, $val ) ?> /> <?php echo __('Enable Yandex Metrica WebVisor', 'true-lazy-analytics'); ?> </label>	
	<?php
}





## sanitize
function tlap_sanitize_callback( $options ){ 
	// очищаем
	foreach( $options as $name => & $val ){
		
		if( $name == 'tlap_analytics_id' )			
		$val = htmlspecialchars($val, ENT_QUOTES);
		
		if( $name == 'tlap_fbpixel_id' )			
		$val = htmlspecialchars($val, ENT_QUOTES);
		
		if( $name == 'tlap_hotjar_id' )			
		$val = htmlspecialchars($val, ENT_QUOTES);
		
		if( $name == 'checkbox_liru' )
		$val = intval( $val );
		
		if( $name == 'tlap_yametrika_id' )			
		$val = htmlspecialchars($val, ENT_QUOTES);
		
		if( $name == 'tlap_yametrika_webvisor' )
		$val = intval( $val );
	}
	return $options;
}

add_action('wp_footer', 'tlap_add_analytics_plugin', 99);
function tlap_add_analytics_plugin(){
	global $post;
	$postid = $post->ID;
	$post_status = get_post_status($postid); // get post status
	if ( $post_status === 'publish' ) {// if publish
			tlap_output ();
	}
}

function tlap_output () {	
			echo "<script>".PHP_EOL;
			echo "( function () {
                'use strict';

                let loadedTLAnalytics = false,                    
                    timerId;

                window.addEventListener( 'scroll', loadTLAnalytics );
                window.addEventListener( 'touchstart', loadTLAnalytics );
                document.addEventListener( 'mouseenter', loadTLAnalytics );
                document.addEventListener( 'click', loadTLAnalytics );
                document.addEventListener( 'DOMContentLoaded', loadFallback );

                function loadFallback() {
                    timerId = setTimeout( loadTLAnalytics, 5000 );
                }

                function loadTLAnalytics( e ) {

                    if ( e && e.type ) {
                        console.log( e.type );
                    } else {
                        console.log( 'DOMContentLoaded' );
                    }

                    if ( loadedTLAnalytics ) {
                        return;
                    }

                    setTimeout(
                        function () {".PHP_EOL;
	
			tlap_add_google_analytics();
			tlap_add_fbpixel();
			tlap_add_hotjar();
			tlap_add_liru_counter();
			tlap_add_yametrika();
			
	
						echo "},
                        100
                    );

                    loadedTLAnalytics = true;

                    clearTimeout( timerId );

                    window.removeEventListener( 'scroll', loadTLAnalytics );
                    window.removeEventListener( 'touchstart', loadTLAnalytics );
                    document.removeEventListener( 'mouseenter', loadTLAnalytics );
                    document.removeEventListener( 'click', loadTLAnalytics );
                    document.removeEventListener( 'DOMContentLoaded', loadFallback );
                }
            } )()".PHP_EOL;
			echo "</script>".PHP_EOL;
 }


function tlap_add_google_analytics() {
	$all_options = get_option( 'tlap_add_analytics_option' );
	$g_id = $all_options['tlap_analytics_id'];
	
	if(isset( $g_id ) && !empty( $g_id )) { 
		?>
				
var analyticsId = "<?php echo $g_id; ?>";
var a = document.createElement("script");
function e() {
    dataLayer.push(arguments);
}
(a.src = "https://www.googletagmanager.com/gtag/js?id=" + analyticsId),
(a.async = !0),
document.getElementsByTagName("head")[0].appendChild(a),
    (window.dataLayer = window.dataLayer || []),
    e("js", new Date()),
    e("config", analyticsId),
    console.log("gtag start");
				
		<?php
	}
}

function tlap_add_fbpixel() {
	$all_options = get_option( 'tlap_add_analytics_option' );
	$fbpixel_id = $all_options['tlap_fbpixel_id'];	
	if(isset( $fbpixel_id ) && !empty( $fbpixel_id )) { 
		?>
		
!function(f,b,e,v,n,t,s)
{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
n.callMethod.apply(n,arguments):n.queue.push(arguments)};
if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
n.queue=[];t=b.createElement(e);t.async=!0;
t.src=v;s=b.getElementsByTagName(e)[0];
s.parentNode.insertBefore(t,s)}(window, document,'script',
'https://connect.facebook.net/en_US/fbevents.js');
fbq('init', '<?php echo $fbpixel_id; ?>');
fbq('track', 'PageView');
console.log("fbpixel start");
		
		<?php
	}
}

function tlap_add_hotjar() {
	$all_options = get_option( 'tlap_add_analytics_option' );
	$hotjar_id = $all_options['tlap_hotjar_id'];	
	
	if(isset( $hotjar_id ) && !empty( $hotjar_id )) { 
		?>
		
(function(h, o, t, j, a, r) {
    h.hj = h.hj || function() {
        (h.hj.q = h.hj.q || []).push(arguments)
    };
    h._hjSettings = {
        hjid: <?php echo $hotjar_id; ?> ,
        hjsv : 6
    };
    a = o.getElementsByTagName('head')[0];
    r = o.createElement('script');
    r.async = 1;
    r.src = t + h._hjSettings.hjid + j + h._hjSettings.hjsv;
    a.appendChild(r);
})(window, document, 'https://static.hotjar.com/c/hotjar-', '.js?sv=');
console.log("hotjar start");
		
		<?php
	}
}

function tlap_add_yametrika() {
	$all_options = get_option( 'tlap_add_analytics_option' );
	$ym_id = $all_options['tlap_yametrika_id'];	
	$webvisor ='';
	$tlap_yametrika_webvisor = $all_options['tlap_yametrika_webvisor'] . '; ';	
	if(isset( $tlap_yametrika_webvisor ) &&  1 == $tlap_yametrika_webvisor) { $webvisor = 'webvisor:true,';}	
	if(isset( $ym_id ) && !empty( $ym_id )) { 
		?>
				
var metricaId = "<?php echo $ym_id; ?>";
                            (function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)}; m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)}) (window, document, "script", "https://cdn.jsdelivr.net/npm/yandex-metrica-watch/tag.js", "ym");
                            ym( metricaId, "init", { clickmap:true, trackLinks:true, accurateTrackBounce:true, <?php echo $webvisor; ?>triggerEvent:true });
console.log("ym start");
		
		<?php
	}
}

function tlap_add_liru_counter() {
	$all_options = get_option( 'tlap_add_analytics_option' );
	$liru_enable = $all_options['checkbox_liru'];	
	if(isset( $liru_enable ) ) {
?>

var liId="licnt601C",mya=document.createElement("a");mya.href="//www.liveinternet.ru/click",mya.target="_blank";var myimg=document.createElement("img");myimg.id=liId,myimg.width="31",myimg.height="31",myimg.style="border:0",myimg.title="LiveInternet",myimg.src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAEALAAAAAABAAEAAAIBTAA7",myimg.alt="";var mydiv=document.createElement("div");mydiv.style="display:none",mydiv.id="div_"+liId,mydiv.appendChild(mya),mya.appendChild(myimg),document.getElementsByTagName("body")[0].appendChild(mydiv),function(e,t){e.getElementById(liId).src="https://counter.yadro.ru/hit?t38.1;r"+escape(e.referrer)+(void 0===t?"":";s"+t.width+"*"+t.height+"*"+(t.colorDepth?t.colorDepth:t.pixelDepth))+";u"+escape(e.URL)+";h"+escape(e.title.substring(0,150))+";"+Math.random()}(document,screen),console.log("liru start");
		
		<?php
	}
}
